Deduct

Deduct the requested amount from a wallet.

Request Path Parameters

ParametertypeLimitsrequiredDescription
terminalIDString✓The Paymentology issued terminal id of the terminal requesting the transaction
referenceString✓The reference of the wallet to deduct
requestAmountInteger✓The amount to be deducted in cents
narrativeString✓A description of the terminal where the card was used
transactionTypeString✓2 character string identifying the type of transaction: 00 = POS 01 = ATM 09 = Cashback at POS 10 = AFT 30 = Balance Inquiry “Used only for Acquirer fees applied on balance inquiry”
transactionDataString✓Extra information about the transaction in a KLV format
transactionIDString✓Transaction id number generated by the calling client. Note that the Transaction id is not a unique value and may be duplicated over time
transactionDateDate✓Transaction date (in UTC) generated by the calling client
checksumString✓HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key
Deduct (ATM)
<?xml version="1.0"?>
<methodCall>
    <methodName>Deduct</methodName>
    <params>
        <param>
            <value>
                <string>0068766621</string>
            </value>
        </param>
        <param>
            <value>
                <string>43172792905</string>
            </value>
        </param>
        <param>
            <value>
                <int>1439</int>
            </value>
        </param>
        <param>
            <value>
                <string>CUR ESPERAMOS SUPERMAR CURACAO       CUW</string>
            </value>
        </param>
        <param>
            <value>
                <string>01</string>
            </value>
        </param>
        <param>
            <value>
                <string>002156270281000000210041200000000250002604601104903532085024225003EMV25110MasterCard2530451122540025500</string>
            </value>
        </param>
        <param>
            <value>
                <string>411152</string>
            </value>
        </param>
        <param>
            <value>
                <dateTime.iso8601>20200817T18:43:42</dateTime.iso8601>
            </value>
        </param>
        <param>
            <value>
                <string>62A815034E89D8B3E9A6E04807719F3A2CF127E4</string>
            </value>
        </param>
    </params>
</methodCall>

Deduct (POS)
<?xml version="1.0"?>
<methodCall>
    <methodName>Deduct</methodName>
    <params>
        <param>
            <value>
                <string>0068766621</string>
            </value>
        </param>
        <param>
            <value>
                <string>43172792905</string>
            </value>
        </param>
        <param>
            <value>
                <int>200</int>
            </value>
        </param>
        <param>
            <value>
                <string>KARINA FURNITURE       CURACAO       CUW</string>
            </value>
        </param>
        <param>
            <value>
                <string>00</string>
            </value>
        </param>
        <param>
            <value>
                <string>0021562702810000002100412000000000200026045712049038400850025003EMV25110MasterCard2530451122540025500</string>
            </value>
        </param>
        <param>
            <value>
                <string>401897</string>
            </value>
        </param>
        <param>
            <value>
                <dateTime.iso8601>20200817T17:58:57</dateTime.iso8601>
            </value>
        </param>
        <param>
            <value>
                <string>3139CDCE0C0457ADFA560295376C150D55C934E7</string>
            </value>
        </param>
    </params>
</methodCall>

Response Parameters

FieldtypeDescription
resultCodeIntegerStatus code indicating transaction result
approvalAmountInteger(Optional) When used in combination with result code 2, on transactions that support partial authorisation, the amount of the authorisation value to be partially approved in cents
actualBalanceInteger(Optional) Actual/settled balance in cents
balanceAmountInteger(Optional) Available balance in cents
addressVerificationResultInteger(Optional) Address Verification Result
"<?xml version=""1.0"" encoding=""UTF-8""?>
<methodResponse>
   <params>
      <param>
         <value>
            <struct>
               <member>
                  <name>resultCode</name>
                  <value>
                     <int>1</int>
                  </value>
               </member>
            </struct>
         </value>
      </param>
   </params>
</methodResponse>"